{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":19259,"path":"healthcare-life-sciences/emr-help/emr-help-domain-sep.md","title":"Domain separation and EMR Help","bundle":null,"doc_type":null,"release":"australia","body":"\n# Domain separation and EMR Help\n\nDomain separation is supported for EMR Help. Domain separation enables you to separate data, processes, and administrative tasks into logical groupings called domains. You can control several aspects of this separation, including which users can see and access data.\n\n## Support level: Basic\n\n\n\n-   Business logic: Ensure that data goes into the proper domain for the application’s service provider use cases.\n-   The application supports domain separation at run time. The domain separation includes separation from the user interface, cache keys, reporting, rollups, and aggregations.\n-   The owner of the instance must set up the application to function across multiple tenants.\n\nSample use case: When a service provider \\(SP\\) uses chat to respond to a tenant-customer’s message, the customer must be able to see the SP's response.\n\nFor more information on support levels, see [Application support for domain separation](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-security/domain-separated-apps.md).\n\n## EMR Help overview\n\nThe EMR Help application includes domain separation for configuration tables \\(request definition, request parameters, and definition to parameter mapping\\) as well as domain separation for transactional data like tasks and associated request data coming in from the EMR system.\n\nDomain separation is enabled in the following aspects of the EMR Help application:\n\n-   Data stored in the Remote Request Data \\[sn\\_ind\\_rmt\\_help\\_request\\_data\\] table is domain separated.\n-   Tasks created when raised either from a record producer or using a REST API are domain separated.\n-   Request parameters can be created for use in different domains.\n-   Request definitions can be created for use in different domains.\n-   Request definition mappings can be created for use in different domains.\n\n## How domain separation works in EMR Help\n\nFor customers using an EMR Help service portal within their EMR systems to raise ServiceNow IT service requests, the domain is set from the logged-in user’s session, in the task created, and the associated request data.\n\nFor customers using the Remote help request API, an administrator can domain separate a task and the associated remote request data by sending any of the following parameters in the **task\\_parameters** object while creating the request.\n\n-   Task for user \\(task\\_for\\)\n\n    **Note:** Valid for all task types.\n\n-   Caller \\(caller\\_id\\)\n\n    **Note:** Valid only for the Incident \\[incident\\] table.\n\n\nFor incident, the task’s domain is set from the `caller_id` parameter if specified in the request body. When the `caller_id` parameter isn't specified, the task’s domain is set as the domain of the user specified in the `task_for` parameter. If neither of these parameters are specified in the request body, the task's domain is set from the domain of the authenticated user invoking the Remote help request API.\n\n## Domain separated tables\n\n-   Remote Request Definition \\(sn\\_ind\\_rmt\\_help\\_request\\_defn\\)\n-   Remote Request Parameter \\(sn\\_ind\\_rmt\\_help\\_request\\_param\\)\n-   Request configuration mapping \\(sn\\_ind\\_rmt\\_help\\_defn\\_param\\_data\\_map\\)\n-   Remote Request Data \\(sn\\_ind\\_rmt\\_help\\_request\\_data\\) and its extended child data tables\n-   Task \\[task\\]\n\n**Parent Topic:**[EMR Help reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/healthcare-life-sciences/emr-help/emr-reference.md)\n\n**Related topics**  \n\n\n[Domain separation for service providers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-security/domain-sep-landing-page.md)\n\n"}}